
import { Component, OnInit } from '@angular/core';
import { IonicModule, NavController } from '@ionic/angular';
import { ModalController } from '@ionic/angular';
import { PageEditComponent } from '../page-edit/page-edit.component';

@Component({
  selector: 'app-tab3',
  templateUrl: './tab3.page.html',
  styleUrls: ['./tab3.page.scss'],
  standalone: true,
  imports: [IonicModule],
})
export class Tab3Page implements OnInit {

  // 用户信息数据
  userData = {
    name: '',  // 默认值，可以为空测试默认显示“游客”
    avatar: 'assets/img/user-avatar.jpg'  // 默认头像路径
  };

  constructor(private navCtrl: NavController, private modalCtrl: ModalController) {}

  ngOnInit() {
    // 在这里可以加载用户信息（如果从API或服务中获取）
  }

  signup() {
    // 注册逻辑
    console.log('注册按钮被点击');
  }

  login() {
    // 登录逻辑
    console.log('登录按钮被点击');
   
  }

  async goToEdit() {
    // 打开编辑模态框
    const modal = await this.modalCtrl.create({
      component: PageEditComponent,
      componentProps: {
        userData: this.userData  // 将当前用户数据传递给编辑页面
      }
    });
    modal.present();

    // 等待编辑页面关闭并获取数据
    const { data, role } = await modal.onWillDismiss();

    if (role === 'confirm') {
      // 更新用户信息
      this.userData = data;
    }
  }

  goToFavorites() {
    this.navCtrl.navigateForward('/favorites');
  }

  goToHelp() {
    this.navCtrl.navigateForward('/help');
  }

  goToSettings() {
    this.navCtrl.navigateForward('/settings');
  }
}
